/*******************************************************************************
 * ParticleEmitter generated by Eliot.UELib using UE Explorer.
 * Eliot.UELib ? 2009-2015 Eliot van Uytfanghe. All rights reserved.
 * http://eliotvu.com
 *
 * All rights belong to their respective owners.
 *******************************************************************************/
class ParticleEmitter extends Object
    abstract
    native(Particle)
    editinlinenew
    hidecategories(Object);

enum EParticleBurstMethod
{
    EPBM_Instant,
    EPBM_Interpolated,
    EPBM_MAX
};

enum EParticleSubUVInterpMethod
{
    PSUVIM_None,
    PSUVIM_Linear,
    PSUVIM_Linear_Blend,
    PSUVIM_Random,
    PSUVIM_Random_Blend,
    PSUVIM_MAX
};

enum EEmitterRenderMode
{
    ERM_Normal,
    ERM_Point,
    ERM_Cross,
    ERM_None,
    ERM_MAX
};

struct native ParticleBurst
{
    var() int Count;
    var() int CountLow;
    var() float Time;

    structdefaultproperties
    {
        Count=0
        CountLow=-1
        Time=0.0
    }
};

var(Particle) name EmitterName;
var transient int SubUVDataOffset;
var(Cascade) ParticleEmitter.EEmitterRenderMode EmitterRenderMode;
var(Cascade) editoronly Color EmitterEditorColor;
var export editinline array<export editinline ParticleLODLevel> LODLevels;
var bool ConvertedModules;
var(Cascade) editoronly bool bCollapsed;
var transient bool bIsSoloing;
var bool bCookedOut;
var int PeakActiveParticles;
var(Particle) int InitialAllocationCount;
var(Particle) float MediumDetailSpawnRateScale;

// Export UParticleEmitter::execGetMaxLifespan(FFrame&, void* const)
native function float GetMaxLifespan(float InComponentDelay);

defaultproperties
{
    EmitterName=Particle Emitter
    ConvertedModules=true
    MediumDetailSpawnRateScale=1.0
}